<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC "-//APACHE//DTD LOG4J 1.2//EN" "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
    <appender name="STDOUT" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
<!--            <param name="ConversionPattern" value="%d %-5p [%t] %C{2} (%F:%L) - %m%n"/>-->
            <param name="ConversionPattern" value="%d %-5p %C{2} (%F:%L) - %m%n"/>
        </layout>
    </appender>
<!--    <category name="DataNucleus.Query">
        <priority value="debug"/>
    </category>-->
<!--    <category name="DataNucleus.Datastore.Retrieve">
        <priority value="debug"/>
    </category>-->
    <category name="DataNucleus.Datastore.Native">
        <priority value="debug"/>
    </category>
    <root>
        <priority value="warn"/>
        <appender-ref ref="STDOUT"/>
    </root>
</log4j:configuration>

<!--
<configuration>
    <appender name="STDOUT" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <Pattern>%-5level %logger{30} [%file:%line]%n %msg%n</Pattern>
        </layout>
    </appender>
	<appender name="FILE" class="ch.qos.logback.core.FileAppender">
		<file>moumi.log</file>
		<layout class="ch.qos.logback.classic.PatternLayout">
			<Pattern>%date %level [%thread] %logger{50} [%file:%line] %msg%n</Pattern>
		</layout>
	</appender>

	<logger name="kr.co.iniline" level="ERROR" />
    <logger name="kr.co.kihyun" level="DEBUG" />
    <logger name="org.apache.jsp" level="DEBUG" />
    <logger name="kr.co.kihyun.moumi" level="ERROR" />
    <logger name="kr.co.kihyun.moumi.Moumi" level="DEBUG" />
    <logger name="kr.co.kihyun.io" level="ERROR" />
	<logger name="kr.co.kihyun.beans.entity" level="INFO" />
    <logger name="kr.co.kihyun.beans.entity.LimitByDeadlineStrategy" level="ERROR" />
    <logger name="kr.co.kihyun.beans.entity.util" level="ERROR" />
    <logger name="kr.co.kihyun.beans.entity.util.MPersistenceManager" level="DEBUG" />
    <logger name="kr.co.kihyun.beans.entity.util.SchemaOrganizer" level="INFO" />
    <logger name="kr.co.kihyun.beans.entity.util.TotReportUtil" level="DEBUG" />
    <logger name="kr.co.kihyun.sync" level="ERROR" />
    <logger name="DataNucleus.Query" level="INFO" />
    <logger name="org.datanucleus" level="INFO" />
    <logger name="org.datanucleus.store.rdbms.query" level="ERROR" />
    logger name="javax.jdo" level="DEBUG" /
    
    <root level="INFO">
        <appender-ref ref="STDOUT" />
    </root>
</configuration>-->